Skip to content
Release: Australia · Updated: 2026-03-19 · Official documentation · View source

Copy Assessments API

The Copy Assessments API provides an endpoint to create a copy of an assessment metric type or survey definition in the Assessment Metric Type [asmt_metric_type] table.

This API is included in the Assessments and Surveys application, which is available by default.

The calling user must have the assessment_admin role.

Parent Topic:REST API reference

Copy Assessments - POST /now/copy_assessments/copy

Creates a copy of an assessment metric type or survey definition in the Assessment Metric Type [asmt_metric_type] table.

All associated questions (type), configurations, categories, metrics, domain separation rules, and role-based categories are copied. Assigned users, category users, instances, and trigger conditions are not copied.

URL format

Default URL: /api/now/copy_assessments/copy

Supported request parameters

NameDescription
None 
NameDescription
None 
NameDescription
sysIDRequired. Sys\_id of the assessment metric type or survey definition to copy.Table: Assessment Metric Type \[asmt\_metric\_type\] Data type: String

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Only supports application/json.
Content-TypeData format of the request body. Only supports application/json.
HeaderDescription
Content-TypeData format of the response body. Only supports application/json;charset=UTF-8.

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
500Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON)

cURL request

This example creates a copy of an assessment metric type.

curl "https://instance.service-now.com/api/now/copy_assessments/copy" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{\"sysID\":\"d2fbde248f033300e7e16c7827bdee11\"}" \
--user 'username':'password'

Response body.

{
  "result": {
    "sysID": "19d54d2447f336d027d48b41516d43ee",
    "name": "Copy of Assessment: Basic flow"
  }
}

sndocs is an independent community mirror and is not affiliated with or endorsed by ServiceNow.

ServiceNow, the ServiceNow logo, Now, and other ServiceNow marks are trademarks and/or registered trademarks of ServiceNow, Inc., in the United States and/or other countries. Other company and product names may be trademarks of the respective companies with which they are associated.

© 2026 ServiceNow, Inc. All rights reserved.

Documentation content is redistributed under the Apache License 2.0 from the ServiceNowDocs repository.

NameDescription
resultDetails about the API request.Data type: Object
"result": {
   "name": "String",
   "sysID": "String"
}
result.nameName of the copy of the assessment metric type or survey definition. Copies are named using the format `Copy of `.Data type: String
result.sysIDSys\_id of the copy of the assessment metric type or survey definition.Table: Assessment Metric Type \[asmt\_metric\_type\] Data type: String